Subject: RE: [Sip] Open Issue #268 : port number and maddr

From: Robert Sparks <[email-masked]>
Date: Thu, 24 Jan 2002 10:51:48 -0500

> > Proposed Resolution:
> > 
> >  If a port or transport parameter is specified in a URL 
> that contains
> >  an maddr parameter, the port and transport apply to the address 
> >  indicated by the maddr parameter value.
> 
> This is the existing behavior, if I am not mistaken.

It is what we have agreed to on the list, but
the spec has not been clear on this point.

> 
> >  So, the flow above would continue
> >  UAC          1.2.3.4       foo.com
> >   | INVITE sip:[email-masked]:6666;transport=tls;maddr=1.2.3.4
> >   |-------------->|            |
> >   |               | INVITE sip:[email-masked]
> >   |               |----------->|
> > 
> > assuming 1.2.3.4 received the message over tls at port 6666.
> > If 1.2.3.4 recieved the message on some other port or using
> > some other transport, it would forward the message to port
> > 6666 at 1.2.3.4 over tls.
> > 
> > I am documenting this in bis now. Please comment quickly.
> 
> I have no  problems with the resolution.  However, would something
> like this be entertained: 
> 
>   INVITE sip:[email-masked]:7777;maddr=1.2.3.4:9999:tls
> 
> In other words, the maddr will have 2 optional values, 
> separated by :.  
> Here, port 7777 affects foo.com and port 9999 affects 1.2.3.4.
> 
> While this has the nice property that all factors that affect 
> maddr are
> in the maddr parameter, the biggest disadvantage is that it is NOT 
> backward compatible.

In this case, that's a pretty big disadvantage - existing proxies would
actually choke on that syntax.

It looks like we can live with the limitations of the backwards compatible
solution, so we should go it.

RjS

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip